<?php
		/*
		Plugin Name: Shortpack
		Plugin URI: http://www.plumislandmedia.net/wordpress-plugins/shortpack/
		Description: Jetpack 2's shortcodes for media, without Jetpack's overhead or activation glitches. Thanks to the Jetpack team for good code.
		Author: olliejones, automattic
		Version: 2.1.2
		Author URI: http://www.plumislandmedia.net/about/
		*/
/** current version number  */
if (!defined('SHORTPACK_VERSION_NUM')) {
	define('SHORTPACK_VERSION_NUM', '2.1.2');
}
/* set up some handy globals */
if (!defined('SHORTPACK_THEME_DIR')) {
	define('SHORTPACK_THEME_DIR', ABSPATH . 'wp-content/themes/' . get_template());
}
if (!defined('SHORTPACK_PLUGIN_NAME')) {
	define('SHORTPACK_PLUGIN_NAME', trim(dirname(plugin_basename(__FILE__)), '/'));
}
if (!defined('SHORTPACK_PLUGIN_DIR')) {
	define('SHORTPACK_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . SHORTPACK_PLUGIN_NAME);
}
if (!defined('SHORTPACK_PLUGIN_URL')) {
	define('SHORTPACK_PLUGIN_URL', WP_PLUGIN_URL . '/' . SHORTPACK_PLUGIN_NAME);
}
if (!defined('SHORTPACK_POSTMETA_KEY')) {
	define('SHORTPACK_POSTMETA_KEY', '_' . SHORTPACK_PLUGIN_NAME . '_metadata');
}

/**
 * change the static url for the jetpack player asset.
 * @param string $u
 * @return string pointing to player asset in the shortcode plugin.
 */
function shortpack_jetpack_static_url( $u ) {
	$playername = '/plugins/audio-player/player.swf';
	/* does the playername appear at the end of the input URL string? */
	if ( strpos( $u, $playername ) == strlen($u) - strlen($playername) ) {
		$u = SHORTPACK_PLUGIN_URL . '/code/shortcodes/swf/player.swf';
	}
	return $u;
}
add_filter('jetpack_static_url', 'shortpack_jetpack_static_url', 10, 1);

require_once( 'code/shortcodes/archives.php');
require_once( 'code/shortcodes/audio.php');
require_once( 'code/shortcodes/blip.php');
require_once( 'code/shortcodes/dailymotion.php');
require_once( 'code/shortcodes/diggthis.php');
require_once( 'code/shortcodes/flickr.php');
require_once( 'code/shortcodes/googlemaps.php');
require_once( 'code/shortcodes/googlevideo.php');
require_once( 'code/shortcodes/polldaddy.php');
require_once( 'code/shortcodes/scribd.php');
require_once( 'code/shortcodes/slideshow.php');
require_once( 'code/shortcodes/slideshare.php');
require_once( 'code/shortcodes/ted.php');
require_once( 'code/shortcodes/soundcloud.php');
require_once( 'code/shortcodes/videopress.php');
require_once( 'code/shortcodes/vimeo.php');
require_once( 'code/shortcodes/youtube.php');
